Subject: Re: [bug#37254] [PATCH 0/4] Refactor (guix ci) and (guix import crate)
From: Ludovic Courtès <[email-masked]>
To: Efraim Flashner <[email-masked]>
Cc: [email-masked]
Date: Wed, 04 Sep 2019 13:04:27 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Efraim Flashner <[email-masked]> skribis:

> After my several (panicked :/) messages on IRC it turns out it's working
> pretty well. I'm able to run 'guix lint -c refresh' and 'guix refresh -t
> crate'.

There was room for improvement though:  :-)

--8<---------------cut here---------------start------------->8---
$ guix refresh -t crates
Backtrace:
          10 (primitive-load "/home/ludo/.config/guix/current/bin/gu…")
In guix/ui.scm:
  1692:12  9 (run-guix-command _ . _)
In ice-9/boot-9.scm:
    829:9  8 (catch _ _ #<procedure 7f0dd4fb6e98 at guix/ui.scm:623…> …)
    829:9  7 (catch _ _ #<procedure 7f0dd4fb6eb0 at guix/ui.scm:746…> …)
In guix/store.scm:
   623:10  6 (call-with-store _)
  1803:24  5 (run-with-store #<store-connection 256.99 1e05b40> _ # _ …)
In guix/scripts/refresh.scm:
   533:14  4 (_ _)
In srfi/srfi-1.scm:
    640:9  3 (for-each #<procedure 21e33a0 at guix/scripts/refresh.…> …)
In guix/scripts/refresh.scm:
    344:2  2 (check-for-package-update #<package [email-masked]…> …)
In guix/import/crate.scm:
   180:14  1 (latest-release #<package [email-masked] gnu/packag…>)
In unknown file:
           0 (string-append "https://crates.io/api/v1/crates/" "aut…" …)

ERROR: In procedure string-append:
In procedure string-append: Wrong type (expecting string): #f
$ guix import crate blake2-rfc
guix import: error: failed to download meta-data for package 'blake2-rfc'
$ guix describe 
Generacio 101   Aug 26 2019 09:31:24    (nuna)
  guix a707484
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: a707484d64e7e46f8cb8401c660fbb6eb77ab9c6
--8<---------------cut here---------------end--------------->8---

This change fixes that.

> some errors I've come across, sometimes I get (license (list . #f)),
> like for rust-ppv-lite86, and sometimes I get (license (list .
> license:expat))), like with rust-schannel.

Oh there was still an issue with this, so I’ve fixed it.  But note that
“guix import crate schannel” doesn’t work on master.

I’ve pushed the whole series now.

Thanks for your feedback!

Ludo’.